attacca
Kanban

Create a column

POST
/v1/kanban/boards/{board_id}/columns

Authorization

api_key kanban:write
AuthorizationBearer <token>

An atk_-prefixed API key, created under Settings → API keys.

In: header

Scope: kanban:write

Path Parameters

board_id*string

Board id

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/kanban/boards/497f6eca-6276-4993-bfeb-53cbbbba6f08/columns" \  -H "Content-Type: application/json" \  -d '{    "title": "string"  }'
{  "board_id": "75e8c400-2dbc-43a3-9af4-ff9e6c099385",  "created_at": "2019-08-24T14:15:22Z",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "on_agent_outcome": "string",  "position": 0,  "title": "string",  "updated_at": "2019-08-24T14:15:22Z"}